Bug 432842 - gnomesword - libgtkembedmoz.so issue
gnomesword - libgtkembedmoz.so issue
Product: Fedora
Classification: Fedora
Component: gnomesword (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-14 13:24 EST by Michael A. Peters
Modified: 2008-02-15 21:14 EST (History)
0 users

See Also:
Fixed In Version: 2.3.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 21:13:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec file with gecko libs version specified (5.67 KB, text/x-rpm-spec)
2008-02-14 13:24 EST, Michael A. Peters
no flags Details

  None (edit)
Description Michael A. Peters 2008-02-14 13:24:36 EST
Description of problem:
Current libgtkembedmoz.so from firefox breaks gnomesword

Version-Release number of selected component (if applicable):
gnomesword.x86_64 0:2.3.3-1.fc8

How reproducible:

Steps to Reproduce:
1. update to current firefox
2. gnomesword2
Actual results:
[mpeters@localhost ~]$ gnomesword2 
gnomesword2: error while loading shared libraries: libgtkembedmoz.so: cannot
open shared object file: No such file or directory

Expected results:
application launch

Additional info:
It just needs a rebuild against current gecko-libs.
I would recommend versioning the gecko-libs in the spec file.
I'll attach a spec file that does it.

Building against current gecko-devel (firefox-devel) results in working gnomesword.
Comment 1 Michael A. Peters 2008-02-14 13:24:36 EST
Created attachment 294928 [details]
spec file with gecko libs version specified
Comment 2 Deji Akingunola 2008-02-14 15:03:51 EST
Hi Michael,

Nice to have you contributing to this package again. I'm going to disable the
gecko build for the gnomesword, which is the case already on rawhide for a while
now (because the build is broken on rawhide xulrunner, and upstream says it has
no interest in fixing it now). I've not yet noticed any difference/regressions
with using the gtkhtml builds instead of gecko on rawhide. If you think the
gecko build is really important for F-8/F-7 let me know, and I'll continue to
play catch up with the ever changing firefox updates. 
Comment 3 Michael A. Peters 2008-02-14 17:25:34 EST
That sounds fine to me.
Comment 4 Fedora Update System 2008-02-14 22:38:14 EST
gnomesword-2.3.3-2.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-15 21:13:12 EST
gnomesword-2.3.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-15 21:14:32 EST
gnomesword-2.3.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.